/*This is the CSS markup for the sidebar Vue component*/

#sidebarul {
    display: inline;
}

#hamburgericon {
    width: 25px;
    stroke-width: 1.25px;
    stroke: #a3a3a3;
    display:flex;
 
}

#sidebarlogo {
    background-color: blue;
    width: auto;
    margin-left: .75vw;
    margin-top: 1vh;
    transition: opacity 1s linear;
    display: inline;
    cursor:pointer;
    opacity:0;
}
#stickynavcontainer {
    top: 0;
    display: flex;
    position: sticky;
    height: 100%;
    width: 5vw;
    z-index: 2;
}
#sidebarimglogo {
    width: 100%;
    height: 2vh;
    max-width: 55%;
    min-height: 3%;
    margin-top: 1.5vh;
    opacity:0;
    transition: opacity 1.5s linear;
    display: inline;
    cursor: pointer;
}

#sidenav {
    min-height: 100vh;
    min-width: 1vw;
    max-width: 14.5vw;
    padding-top: 1vh;
    overflow: hidden;
}
#createusersvg {
    margin-top: 1.25vh;
}
#filemanagerli {
    width: 25px;
    margin-top: 1vh;
}
/*#absolutestickydiv {
    top:0;
    bottom:0;
    left:0;
    right:0;
    position: absolute;
    display: none;
}*/
.sidenavlink {
    color: #a3a3a3;
    overflow: hidden;
}

.sidebardemo {
    margin: 0;
}

.iconbutton {
    background-color: blue;
    width: 27px;
    border-radius: 3px;
    padding: 1px;
    margin-left: .25vw;
    display: inline-flex;
    margin-bottom: .5vh;
}

    .iconbutton:hover {
        background-color: #D4D4D4;
    }

        .iconbutton:hover #hamburgericon {
            stroke: #404040;
            fill: #D4D4D4;
        }

.ddsideicon {
    width: 22px;
    stroke-width: 1.25px;
    stroke: #a3a3a3;
    margin-left: 5px;
}

.sidenavcontainer {
    background-color: blue;
    display: flex;
    align-items: stretch;
    width: 3vw;
    min-width: 1vw;
    max-width: 14.5vw;
    transition: width .85s;
    box-shadow: 0px 10px 10px -5px rgba(0, 0, 0, 0.06), 0px 20px 25px -5px rgba(0, 0, 0, 0.1);
    z-index: 2;
    position: absolute;
}

.navcontainer {
    width: 14vw;
    height: 5vh;
    padding-top: 1px;
    padding-right: 1px;
    border: 1px;
    border-radius: 0.25px;
    display: flex;
    padding-left: 3px;
}
.blurdiv1 {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
    -moz-filter: blur(3px);
    -o-filter: blur(3px);
    -webkit-filter: blur(3px);
    filter: blur(3px);
    backdrop-filter: blur(3px);
}
.blurdiv2 {
    display:none;
}
.subnavcontainer {
    width: 13.9vw;
    height: 5vh;
    padding-top: 0px;
    padding-right: 1px;
    border: 1px;
    border-radius: 0.25px;
    display: flex;
    border-radius: 6px;
    border: #D4D4D4 1px transparent;
    border-bottom: #a3a3a3 1px solid;
    margin-bottom: 1px;
}

    .subnavcontainer:hover {
        background-color: #E2E8F0;
    }

        .subnavcontainer:hover .submenutext {
            color: #404040;
        }

        .subnavcontainer:hover .xiconbullet {
            display: none;
        }

        .subnavcontainer:hover .xiconbullet2 {
            display: block;
        }

.sidebtntext {
    font-size: 1vw;
    height: 3vh;
    width: 10vw;
    text-align: left;
    font-family: 'Inter', sans-serif;
    margin-left: 2vw;
    margin-top: 1.5vh;
    display:none;
    color:#a3a3a3;
}

.submenutext {
    font-weight: bold;
    font-size: smaller;
    height: 100%;
    width: 100%;
    text-align: center;
    font-family: 'Inter', sans-serif;
    padding: 10px;
    color: #a3a3a3;
    padding-right: 17px;
    text-decoration: none !important;
}

.sidearrowicon {
    stroke: #a3a3a3;
    width: 5px;
    transition: opacity 1s;
    margin-left:.7vw;
}

.submenuicon {
    width: 22px;
    stroke-width: 1.25px;
    stroke: #a3a3a3;
    margin-left: 5px;
}

.submenu {
    position: absolute;
    display: none;
    padding-left: .1vw;
    background-color: BLUE;
    border: #404040 1px solid;
    border-radius: 7px;
    overflow-x: hidden;
    margin-left: 0;
    padding-right: 0;

}
.subnavcontainerst {
    width: 13.9vw;
    height: 4vh;
    padding-top: 1px;
    padding-right: 1px;
    border: 1px;
    border-radius: 0.25px;
    display: flex;
    padding-left: 3px;
    border-radius: 6px;
    border: #D4D4D4 1px transparent;
    border-bottom: #a3a3a3 1px solid;
    margin-bottom: 1px;
}
.subnavcontainerst:hover {
    background-color: #E2E8F0;
}

    .subnavcontainerst:hover .submenutext {
        color: #404040;
    }

.navcontainer:hover {
    background: #D4D4D4;
    cursor: pointer;
}

    .navcontainer:hover .sidebtntext {
        color: #404040 !important;
        font-weight: bold !important;
    }

.sidenavlink:hover {
    color: #404040;
    font-weight: bold;
    text-decoration-style: wavy;
}

    .sidenavlink:hover .ddsideicon {
        fill: #d4d4d4;
        stroke: #404040;
    }
/*Right sidemenu styles start here....*/
.flexwraprightmenucontainer{
    height: 5vh;
    margin-left:6px;
    margin-right:3px;
    border-radius:3px;
    padding: 0;

}
.ddrightmenu{
    background-color: blue;
}
.ddrightmenu:hover{
    color: #404040 !important;
    background: #D4d4d4;
}
.flexwraprightmenucontainer:hover{
    background-color: #D4d4d4;
}
    .flexwraprightmenucontainer:hover .rightsidemenubtn{
        color: #404040 !important;
        

    }
    .flexwraprightmenucontainer:hover .rightsidemenuicon{
        stroke: #404040;
        fill: #d4d4d4;
    }
.rightsidemenutogglebtn{
    position: fixed;
    top: 50vh;
    right: 0;
    z-index:1;
    width: 2vw;
    margin-top: .5vw;
    stroke: #a3a3a3;

}
.rightsidemenuicon{
    stroke: #a3a3a3 !important;
    width: 1.8vw !important;

}
.rightsidemenubtn{
    color:#a3a3a3;
   cursor:pointer;
   height: 4vh;
   display:block;
}
.rightsidenavcontainer {
    position: fixed;
    top: 0;
    z-index: 1;
    right: 0vw;
    transform: rotate(180deg);
    margin-top: .5vh;
    transition: transform 1s ease-in-out;
    transform-origin: center right;
    perspective: 1300px;
}
.rtogglenavcontainer{
    list-style:none;
    display: flex;
    background-color: blue;
    justify-content: stretch;
    border-radius: 3px;
    margin:0;
    padding:0;
}
.rightsidemenucontainer {
    position: fixed;
    top: 50vh;
    right: 0;
    z-index: 1;
    width: 2vw;
    height: 2vw;
    display: flex;
    justify-content: center;
    margin-top: .89vw;
    border-radius: 6px;
    background-color: blue;
  
}
    .rightsidemenucontainer:hover {
        background-color: #d4d4d4;
        cursor: pointer;

    }
        .rightsidemenucontainer:hover .rightsidemenubtn {
            stroke: #EFF6FF;

        }

.nocalc {
    display: none;
}
.calc1{
    width: 7vw;
    position: fixed;
    top: 7vh;
    border: #a3a3a3 1px solid;
    z-index:1;
    background: #d4d4d4;
}
